이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: CancelArchiving
- 1.1: 1.2
- 2: CancelRecovery
- 2.1: 1.2
- 3: CreateArchivingPolicy
- 3.1: 1.2
- 4: CreateBucket
- 4.1: 1.2
- 5: DeleteArchivingPolicy
- 5.1: 1.2
- 6: DeleteBucket
- 6.1: 1.2
- 7: DeleteBucketObjects
- 7.1: 1.2
- 8: DeleteBucketObjectVersions
- 8.1: 1.2
- 9: ListArchivingHistories
- 9.1: 1.2
- 10: ListArchivingPolicies
- 10.1: 1.2
- 11: ListBucketObjects
- 11.1: 1.2
- 12: ListBucketObjectVersions
- 12.1: 1.2
- 13: ListBuckets
- 13.1: 1.2
- 14: ListRecoveryHistories
- 14.1: 1.2
- 15: RecoverObjects
- 15.1: 1.2
- 16: RecoverObjectVersions
- 16.1: 1.2
- 17: SetArchivingPolicy
- 17.1: 1.2
- 18: SetArchivingPolicyState
- 18.1: 1.2
- 19: SetBucketEncryption
- 19.1: 1.2
- 20: SetBucketVersioning
- 20.1: 1.2
- 21: ShowArchivingHistory
- 21.1: 1.2
- 22: ShowArchivingPolicy
- 22.1: 1.2
- 23: ShowBucket
- 23.1: 1.2
- 24: ShowBucketEncryption
- 24.1: 1.2
- 25: ShowBucketVersioning
- 25.1: 1.2
- 26: ShowRecoveryHistory
- 26.1: 1.2
1 - CancelArchiving
1.1 - 1.2
put /v1/archiving-histories/cancel-archiving
Description
아카이빙을 취소한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de | string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-histories/cancel-archiving?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 202
2 - CancelRecovery
2.1 - 1.2
put /v1/recovery-histories/cancel-recovery
Description
복구를 취소한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763 | string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/recovery-histories/cancel-recovery?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 202
3 - CreateArchivingPolicy
3.1 - 1.2
post /v1/archiving-policies
Description
아카이빙 정책을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ArchivingPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ArchivingPolicyCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"object_lifecycle": "1",
"archiving_policy_name": "my-policy",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_prefix": "/"
}
Example HTTP response
Response 201
{
"id": "SCH-XXXXXXX",
"name": "my-policy",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving": {
"source_bucket_name": "obs-bucket-name",
"prefix": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
4 - CreateBucket
4.1 - 1.2
post /v1/buckets
Description
버킷을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | BucketCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | BucketCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"name": "astest",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 201
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2"
}
5 - DeleteArchivingPolicy
5.1 - 1.2
delete /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX | string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
6 - DeleteBucket
6.1 - 1.2
delete /v1/buckets/{bucket_id}
Description
버킷을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 202
7 - DeleteBucketObjects
7.1 - 1.2
delete /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ObjectDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"paths": [
"test/"
]
}
Example HTTP response
Response 202
8 - DeleteBucketObjectVersions
8.1 - 1.2
delete /v1/buckets/{bucket_id}/object-versions
Description
버킷 오브젝트 버전을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ObjectVersionsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"path": "hello/my_file.txt",
"versions": [
"Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"asSrZ.-K.cf67F0NhXR353JS7Kx6kmm"
]
}
Example HTTP response
Response 202
9 - ListArchivingHistories
9.1 - 1.2
get /v1/archiving-histories
Description
아카이빙 이력 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63 | string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00 | string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00 | string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS | any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20 | any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0 | any of [integer, null] | 0 |
| query | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-02d48456-0f35-47e2-8056-b00e09366cac | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingHistoryListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}&archiving_policy_id={archiving_policy_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"contents": [
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"archiving_policy_name": "my-policy",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
10 - ListArchivingPolicies
10.1 - 1.2
get /v1/archiving-policies
Description
아카이빙 정책 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| query | sort optional | 정렬 Example : name:asc | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"name": "my-policy",
"object_lifecycle": "1",
"archiving_prefix": "/",
"state": "ACTIVE"
}
]
}
11 - ListBucketObjects
11.1 - 1.2
get /v1/buckets/{bucket_id}/objects
Description
버킷 오브젝트 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| query | marker optional | 마커 Example : TODO.txt | any of [string, null] | None |
| query | object_path optional | 오브젝트 경로 Example : / | any of [string, null] | None |
| query | object_name optional | 오브젝트 이름 Example : hello/TODO.txt | any of [string, null] | None |
| query | object_type optional | 오브젝트 타입 Example : FILE | any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20 | any of [integer, null] | 200 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ObjectListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/objects
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"count": 1,
"marker": "TODO.txt",
"is_truncated": true,
"contents": [
{
"object_name": "hello/TODO.txt",
"object_type": "FILE",
"object_size": "3581",
"modified_at": "2025-04-09T05:54:46.244000+00:00"
}
]
}
12 - ListBucketObjectVersions
12.1 - 1.2
get /v1/buckets/{bucket_id}/object-versions
Description
버킷 오브젝트 버전 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| query | object_path required | 오브젝트 경로 Example : hello/my_file.txt | string | None |
| query | offset optional | 오프셋 Example : 0 | any of [integer, null] | 0 |
| query | limit optional | 조회 개수 Example : 20 | any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ObjectVersionListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/object-versions?object_path={object_path}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"count": 1,
"contents": [
{
"object_path": "hello/my_file.txt",
"object_version_id": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"latest": true,
"modified_at": "2025-04-09T05:54:46.244000+00:00",
"etag": "4f6094f1e0619a6504efcb5e69e63bec",
"size": "20"
}
]
}
13 - ListBuckets
13.1 - 1.2
get /v1/buckets
Description
버킷 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | 버킷 이름 Example : astest | any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20 | any of [integer, null] | 20 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"buckets": [
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest"
}
]
}
14 - ListRecoveryHistories
14.1 - 1.2
get /v1/recovery-histories
Description
복구 이력 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f | string | None |
| query | start_at_from required | 시작일부터 Example : 2025-04-01T00:00:00+09:00 | string (date-time) | None |
| query | start_at_to required | 시작일까지 Example : 2025-04-30T23:59:59+09:00 | string (date-time) | None |
| query | state optional | 상태 Example : SUCCESS | any of [string, null] | None |
| query | limit optional | 조회 개수 Example : 20 | any of [integer, null] | 20 |
| query | offset optional | 오프셋 Example : 0 | any of [integer, null] | 0 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RecoveryHistoryListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/recovery-histories?bucket_id={bucket_id}&start_at_from={start_at_from}&start_at_to={start_at_to}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"total_count": 10,
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"contents": [
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00"
}
]
}
15 - RecoverObjects
15.1 - 1.2
put /v1/buckets/{bucket_id}/recover-objects
Description
오브젝트를 오브젝트 스토리지에 복구한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ObjectRecoverRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ObjectRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-objects
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"recovery_infos": [
{
"source_object_path": "/",
"object_type": "FILE"
}
],
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
16 - RecoverObjectVersions
16.1 - 1.2
put /v1/buckets/{bucket_id}/recover-object-versions
Description
오브젝트 버전을 오브젝트 스토리지에 복구한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ObjectVersionRecoverRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ObjectVersionRecoverResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/recover-object-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"recovery_target_bucket_name": "obs-bucket-name",
"source_object_path": "/",
"source_object_version": "Oc9nEYWV.6VjzsIMXFZWM1zL8HcYvKl",
"overwrite": true
}
Example HTTP response
Response 202
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"recovery_target_bucket_name": "obs-bucket-name"
}
17 - SetArchivingPolicy
17.1 - 1.2
put /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX | string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ArchivingPolicyUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"object_lifecycle": "1",
"archiving_policy_name": "my-policy"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"name": "my-policy",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving": {
"source_bucket_name": "obs-bucket-name",
"prefix": "/"
},
"object_lifecycle": "1",
"state": "ACTIVE"
}
18 - SetArchivingPolicyState
18.1 - 1.2
put /v1/archiving-policies/{archiving_policy_id}/state
Description
아카이빙 정책 상태를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX | string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ArchivingPolicyStateUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyStateUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"state": "ACTIVE"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"name": "my-policy",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"state": "ACTIVE",
"archiving": {
"source_bucket_name": "obs-bucket-name",
"prefix": "/"
},
"object_lifecycle": "1"
}
19 - SetBucketEncryption
19.1 - 1.2
put /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | BucketEncryptionRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketEncryptionResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"enabled": true
}
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
20 - SetBucketVersioning
20.1 - 1.2
put /v1/buckets/{bucket_id}/versioning
Description
버킷 버저닝을 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | BucketVersionRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Request body
{
"enabled": true
}
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
21 - ShowArchivingHistory
21.1 - 1.2
get /v1/archiving-histories/detail
Description
아카이빙 이력을 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | 아카이빙 이력 아이디 Example : EXE-8f35b491-a060-453b-b825-e78440ca46de | string | None |
| query | bucket_id required | 버킷 아이디 Example : 3d036efe-f576-48b0-8375-6d3704a95b63 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingHistoryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-histories/detail?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"archiving_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"id": "EXE-8f35b491-a060-453b-b825-e78440ca46de",
"state": "SUCCESS",
"archiving_policy_id": "SCH-02d48456-0f35-47e2-8056-b00e09366cac",
"archiving_policy_name": "my-policy",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "3d036efe-f576-48b0-8375-6d3704a95b63",
"archiving_infos": [
{
"archiving_prefix": "/",
"usage": "1024",
"total_object_count": 100,
"archiving_object_count": 50,
"archiving_rate": 100
}
]
}
22 - ShowArchivingPolicy
22.1 - 1.2
get /v1/archiving-policies/{archiving_policy_id}
Description
아카이빙 정책을 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | archiving_policy_id required | 아카이빙 정책 아이디 Example : SCH-XXXXXXX | string | None |
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policy": {
"id": "SCH-XXXXXXX",
"name": "my-policy",
"object_lifecycle": "1",
"archiving_prefix": "/",
"state": "ACTIVE"
}
}
23 - ShowBucket
23.1 - 1.2
get /v1/buckets/{bucket_id}
Description
버킷을 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketShowResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"name": "astest",
"state": "ACTIVE",
"usage": "10",
"archiving_source_bucket_name": "obstest"
}
24 - ShowBucketEncryption
24.1 - 1.2
get /v1/buckets/{bucket_id}/encryption
Description
버킷 암호화 정보를 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketEncryptionResponse |
| 403 | Forbidden | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/encryption
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
25 - ShowBucketVersioning
25.1 - 1.2
get /v1/buckets/{bucket_id}/versioning
Description
버킷 버저닝 정보를 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BucketVersioningResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/buckets/{bucket_id}/versioning
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"enabled": true
}
26 - ShowRecoveryHistory
26.1 - 1.2
get /v1/recovery-histories/detail
Description
복구 이력을 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id required | 복구 이력 아이디 Example : EXE-9df439a5-9e6d-46a4-806e-1e9991520763 | string | None |
| query | bucket_id required | 버킷 아이디 Example : 7d8d8c2b-d02a-421e-a6e3-5b981bfb507f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RecoveryHistoryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/recovery-histories/detail?id={id}&bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.2"
Example HTTP response
Response 200
{
"recovery_id": "ARC-f9eab563-312b-4bbf-a4bf-d377448d66b5",
"id": "EXE-9df439a5-9e6d-46a4-806e-1e9991520763",
"state": "SUCCESS",
"recovery_target_bucket_name": "test-obs-bucket",
"start_at": "2025-04-01T00:00:00+09:00",
"end_at": "2025-04-30T23:59:59+09:00",
"bucket_id": "7d8d8c2b-d02a-421e-a6e3-5b981bfb507f",
"recovery_infos": [
{
"source_object_path": "example_source_object_path/",
"usage": "1024",
"total_object_count": 100,
"recovery_object_count": 50,
"recovery_rate": 50
}
]
}